OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_SurfaceProfileTolerance Class Reference

Representation of STEP entity SurfaceProfileTolerance
.

`#include <StepDimTol_SurfaceProfileTolerance.hxx>`

Inheritance diagram for StepDimTol_SurfaceProfileTolerance:

[legend]

## Public Member Functions
Standard_EXPORT | StepDimTol_SurfaceProfileTolerance ()
| Empty constructor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_SurfaceProfileTolerance::StepDimTol_SurfaceProfileTolerance | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepDimTol_SurfaceProfileTolerance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepDimTol_GeometricTolerance.

The documentation for this class was generated from the following file:

- StepDimTol_SurfaceProfileTolerance.hxx